View Issue Details

IDProjectCategoryView StatusLast Update
0033906LazarusWidgetsetpublic2018-07-18 16:21
ReporterMIS5 Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLazarus Mac CocaOSMac 
Product Version1.8.5 (SVN) 
Summary0033906: Adding a "View" menu causes problems when opened
DescriptionIf you have a main menu items called "View" - it will crash the software if you open the menu.
Steps To ReproduceWhen TMainMenu "View" menu shows/opens (either by clicking it or hovering over the item with open menu) I get the follow error in Lazarus/Cocoa/1.9.0/Trunk/20thjune2018

RunError(216) in cocoa/cocoawsmenus.pas line 340

[code=pascal]procedure TCocoaMenuItem.menuNeedsUpdate(AMenu: NSMenu);
begin
  menuItemCallback.ItemSelected;
end;[/code]
Additional InformationChris provided this explanation which solved the issue:

Does your program work if you rename the "View" menu to have the caption "Display". MacOS automatically appends the menu item "Enter Full Screen" to any menu named "View" (it also adds "Start Dictation" and "Emoji & Symbols" to your Edit menu).

...

Forum thread:
http://forum.lazarus.freepascal.org/index.php?topic=41656
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Dmitry Boyarintsev

2018-07-10 06:08

developer   ~0109325

please retest with r58476

MIS5

2018-07-18 13:08

reporter   ~0109550

Seems resolved

Dmitry Boyarintsev

2018-07-18 16:21

developer   ~0109560

Please close

Issue History

Date Modified Username Field Change
2018-06-25 11:24 MIS5 New Issue
2018-07-10 06:08 Dmitry Boyarintsev LazTarget => -
2018-07-10 06:08 Dmitry Boyarintsev Note Added: 0109325
2018-07-10 06:08 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2018-07-10 06:08 Dmitry Boyarintsev Status new => feedback
2018-07-18 13:08 MIS5 Note Added: 0109550
2018-07-18 13:08 MIS5 Status feedback => assigned
2018-07-18 16:21 Dmitry Boyarintsev Note Added: 0109560
2018-07-18 16:21 Dmitry Boyarintsev Status assigned => resolved
2018-07-18 16:21 Dmitry Boyarintsev Resolution open => fixed